# eric5.Globals.__init__

Module defining common data to be used by all modules.

### Global Attributes

configDir
recentNameFiles
recentNameHosts
recentNameMultiProject
recentNameProject
settingsNameGlobal
settingsNameOrganization
settingsNameRecent

### Classes

None

### Functions

checkBlacklistedVersions | Module functions to check for blacklisted versions of the prerequisites.
findPythonInterpreters | Module function for searching a Python interpreter.
getConfigDir | Module function to get the name of the directory storing the config data.
getPyQt4ModulesDirectory | Function to determine the path to PyQt4's modules directory.
getPythonModulesDirectory | Function to determine the path to Python's modules directory.
getQtBinariesPath | Module function to get the path of the Qt binaries.
isLinuxPlatform | Function to check, if this is a Linux platform.
isMacPlatform | Function to check, if this is a Mac platform.
isWindowsPlatform | Function to check, if this is a Windows platform.
setConfigDir | Module function to set the name of the directory storing the config data.

## checkBlacklistedVersions

checkBlacklistedVersions()

Module functions to check for blacklisted versions of the prerequisites.

Returns:
  flag indicating good versions were found (boolean)

Up

## findPythonInterpreters

findPythonInterpreters(pyVersion)

Module function for searching a Python interpreter.

pyVersion
  major Python version

Returns:
  list of interpreters found (list of strings)

Up

## getConfigDir

getConfigDir()

Module function to get the name of the directory storing the config data.

Returns:
  directory name of the config dir (string)

Up

## getPyQt4ModulesDirectory

getPyQt4ModulesDirectory()

Function to determine the path to PyQt4's modules directory.

Returns:
  path to the PyQt4 modules directory (string)

Up

## getPythonModulesDirectory

getPythonModulesDirectory()

Function to determine the path to Python's modules directory.

Returns:
  path to the Python modules directory (string)

Up

## getQtBinariesPath

getQtBinariesPath()

Module function to get the path of the Qt binaries.

Returns:
  path of the Qt binaries (string)

Up

## isLinuxPlatform

isLinuxPlatform()

Function to check, if this is a Linux platform.

Returns:
  flag indicating Linux platform (boolean)

Up

## isMacPlatform

isMacPlatform()

Function to check, if this is a Mac platform.

Returns:
  flag indicating Mac platform (boolean)

Up

## isWindowsPlatform

isWindowsPlatform()

Function to check, if this is a Windows platform.

Returns:
  flag indicating Windows platform (boolean)

Up

## setConfigDir

setConfigDir(d)

Module function to set the name of the directory storing the config data.

d
  name of an existing directory (string)

Up